%define up_name	check_mysql_health

Name:		nagios-%{up_name}
Version:	2.1.7
Release:	%mkrel 10
Summary:	Check MySQL
Group:		Networking/Other
License:	GPL
URL:		http://www.consol.de/opensource/nagios/check-mysql-health/
Source0:	http://labs.consol.de/wp-content/uploads/2010/03/%{up_name}-%{version}.tar.gz
BuildArch:	noarch

%description
This plugin is used to monitor a variety of mysql database metrics.

%prep
%setup -q -n %{up_name}-%{version}

%build
# fix build on aarch64
autoreconf -vfi
%configure \
    --libexecdir=%{_datadir}/nagios/plugins \
    --with-statefiles-dir=%{_localstatedir}/lib/nagios
%make_build

%install
%make_install

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_mysql_health.cfg <<'EOF'
define command{
	command_name	check_mysql_health
	command_line	%{_datadir}/nagios/plugins/check_mysql_health
}
EOF

%files
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_mysql_health.cfg
%{_datadir}/nagios/plugins/check_mysql_health




%changelog
* Tue Mar 22 2022 danf <danf> 2.1.7-10.mga9
+ Revision: 1816761
- Fix noarch build by using the default build tuple
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Mar 31 2020 danf <danf> 2.1.7-9.mga8
+ Revision: 1562800
- Fix build on aarch64

* Wed Feb 12 2020 umeabot <umeabot> 2.1.7-8.mga8
+ Revision: 1492158
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.1.7-7.mga7
+ Revision: 1264640
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 2.1.7-6.mga6
+ Revision: 937992
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.7-5.mga5
+ Revision: 740728
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.7-4.mga5
+ Revision: 682775
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1.7-3.mga4
+ Revision: 508122
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.1.7-2.mga3
+ Revision: 360716
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 guillomovitch <guillomovitch> 2.1.7-1.mga3
+ Revision: 288784
- new version

* Thu Mar 03 2011 ennael <ennael> 2.1.1-4.mga2
+ Revision: 62947
- imported package nagios-check_mysql_health

